<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::middleware('auth:api')->prefix('users')->group( function () {

    Route::get('/profile', function() {
        return response()->json(Auth::user());
    });

    Route::get('/{id}', 'UserController@geteUser');

    Route::delete('/{id}', 'UserController@deleteUser');

    Route::get('/', 'UserController@allUsers');

    Route::put('/{id}', 'UserController@updateUser');

});
